#include <bits/stdc++.h>
#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;

    vector<vector<int>> a(n);

    map<int,int> mc;

    for(int i = 0; i < n; i++)
    {
        vector<int> p(m);
        for(int j = 0; j < m; j++)
        {
            cin >> p[j];
            int x = p[j];
            for(int i = 0; x > 0; i++)
            {
                mc[i] += x%2;
                x /= 2;
            }
        }
        a[i] = p;
    }

    long long r = 0;

    for(int i = 0; i < 32; i++)
    {
        int g = mc[i] % (n + m - 1);
        if(g > (n + m) / 2) g = n + m - g;
        r += g* pow(2, i);
    }

    cout << r;

    return 0;
}